Subject: git-send-email: Skipping - not found.

From: Timur Tabi <[email-masked]>
Date: Mon, 28 Apr 2008 16:15:24 -0500

When I issue this command:

git-send-email  --from Timur Tabi <[email-masked]> --suppress-cc=all --to
[email-masked] --smtp-server remotesmtp.freescale.net
0001--PATCH-Update-CS4270-driver-to-ASoC-V2.patch

I get this output:

Skipping  - not found.
0001--PATCH-Update-CS4270-driver-to-ASoC-V2.patch
OK. Log says:
Server: remotesmtp.freescale.net
MAIL FROM:<[email-masked]>
RCPT TO:<[email-masked]>
From: Timur Tabi <[email-masked]>
To: [email-masked]
Subject: [PATCH] Update CS4270 driver to ASoC V2
Date: Mon, 28 Apr 2008 16:13:34 -0500
Message-Id: <[email-masked]>
X-Mailer: git-send-email 1.5.5

Result: 250 2.0.0 m3SLDY4k005131 Message accepted for delivery

I don't know enough about Perl to debug this, but I presume the problem is in
this code:

for my $f (@ARGV) {
	if (-d $f) {
		opendir(DH,$f)
			or die "Failed to opendir $f: $!";

		push @files, grep { -f $_ } map { +$f . "/" . $_ }
				sort readdir(DH);

	} elsif (-f $f) {
		push @files, $f;

	} else {
		print STDERR "Skipping $f - not found.\n";
	}
}

My guess is that "$f", at some point, is an empty string or a blank space.

-- 
Timur Tabi
Linux kernel developer at Freescale